Update Whitelabel User
curl --request PATCH \
--url https://sitegpt.ai/api/v0/w/brands/{brandId}/users/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatbotsQuota": 1,
"linksQuota": 100,
"filesQuota": 25,
"combinedMessagesQuota": 250,
"membersQuota": 2,
"features": {
"api": true
}
}
'import requests
url = "https://sitegpt.ai/api/v0/w/brands/{brandId}/users/{userId}"
payload = {
"chatbotsQuota": 1,
"linksQuota": 100,
"filesQuota": 25,
"combinedMessagesQuota": 250,
"membersQuota": 2,
"features": { "api": True }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chatbotsQuota: 1,
linksQuota: 100,
filesQuota: 25,
combinedMessagesQuota: 250,
membersQuota: 2,
features: {api: true}
})
};
fetch('https://sitegpt.ai/api/v0/w/brands/{brandId}/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Updated the whitelabel user of the brand successfully",
"data": {
"whitelabelUser": {
"id": "332153612345906321",
"brandId": "332110515123458123",
"email": "user@example.com",
"name": "",
"profilePic": "",
"chatbotsQuota": 2,
"linksQuota": 20,
"filesQuota": 5,
"combinedMessagesQuota": 25,
"membersQuota": 2,
"features": {
"watermark": false,
"api": true,
"webhooks": false,
"functions": false,
"integrations": false,
"googleChatIntegration": false,
"messengerChatIntegration": false,
"crispChatIntegration": false,
"slackChatIntegration": false,
"zendeskChatIntegration": false
},
"createdAt": "2024-02-05T13:35:44.155845Z",
"updatedAt": "2024-02-05T13:35:44.155845Z"
}
}
}Whitelabel (Deprecated)
Update Whitelabel User
deprecated
Update user of your whitelabel brand.
Pre-requisities:
- You have to be a whitelabel customer in SiteGPT.
- You need to create and configure your own brand in SiteGPT dashboard.
PATCH
/
v0
/
w
/
brands
/
{brandId}
/
users
/
{userId}
Update Whitelabel User
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the whitelabel user
Id of the whitelabel brand
Body
application/json
Request body to update the whitelabel user of your brand.
Chatbots quota to be assigned to the user
Required range:
x >= 0Links quota to be assigned to the user
Required range:
x >= 0Files quota to be assigned to the user
Required range:
x >= 0Combined messages quota to be assigned to the user
Required range:
x >= 0Members quota to be assigned to the user
Required range:
x >= 0Features to be enabled/disabled for the user. You can enable/disable only those features which are enabled for the whitelabel brand owner.
Show child attributes
Show child attributes
Was this page helpful?
⌘I